#ifndef __INTERNAL_H
#define __INTERNAL_H

#include "statemnt.h"

#ifdef MODE_DEVELOPMENT

class MCScriptPoint;

enum MCInternalVerb
{
	INTERNAL_VERB_NONE,
	INTERNAL_VERB_GET,
	INTERNAL_VERB_SET,
	INTERNAL_VERB_CALL,
	INTERNAL_VERB_BREAK
};

class MCInternal: public MCStatement
{
	MCInternalVerb f_verb;
	MCExpression *f_noun;

public:
	MCInternal(void);

	virtual ~MCInternal(void);
	virtual Parse_stat parse(MCScriptPoint&);
	virtual Exec_stat exec(MCExecPoint&);
};

inline MCInternal::MCInternal(void)
  : f_verb(INTERNAL_VERB_NONE),
		f_noun(NULL)
{
}
#endif

#endif
